Package org.opensaml.soap.wstrust

# Interface Status

All Superinterfaces:
  `WSTrustObject`, `XMLObject`

All Known Implementing Classes:
  `StatusImpl`

public interface Status extends WSTrustObject
The wst:Status element.

See Also:
  - "WS-Trust 1.3, Chapter 7 Validation Binding."

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Default element name.

## Method Summary

Modifier and Type
Method
Description
`Code`
`getCode()`
Returns the wst:Code child element.
`Reason`
`getReason()`
Returns the wst:Reason child element.
`void`
`setCode(Code code)`
Sets the wst:Code child element.
`void`
`setReason(Reason reason)`
Sets the wst:Reason child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Default element name.

## Method Details

### getCode

@Nullable Code getCode()
Returns the wst:Code child element.

Returns:
  the `Code` child element or `null`

### setCode

void setCode(@Nullable Code code)
Sets the wst:Code child element.

Parameters:
  `code` - the `Code` child element to set.

### getReason

@Nullable Reason getReason()
Returns the wst:Reason child element.

Returns:
  the `Reason` child element or `null`.

### setReason

void setReason(@Nullable Reason reason)
Sets the wst:Reason child element.

Parameters:
  `reason` - the `Reason` child element to set.